/*
 * @(#)src/classes/sov/javax/naming/directory/NoSuchAttributeException.java, jndi, asdev, 20070119 1.9
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */



package javax.naming.directory;

import javax.naming.NamingException;

/**
  * This exception is thrown when attempting to access
  * an attribute that does not exist.
  * <p>
  * Synchronization and serialization issues that apply to NamingException
  * apply directly here.
  *
  * @author Rosanna Lee
  * @author Scott Seligman
  * @version 1.7 03/12/19
  * @since 1.3
  */

public class NoSuchAttributeException extends NamingException {
    /**
     * Constructs a new instance of NoSuchAttributeException using 
     * an explanation. All other fields are set to null. 
     * @param	explanation	Additional detail about this exception. Can be null.
     * @see java.lang.Throwable#getMessage
     */
    public NoSuchAttributeException(String explanation) {
	super(explanation);
    }


    /**
     * Constructs a new instance of NoSuchAttributeException.
     * All fields are initialized to null.
     */
    public NoSuchAttributeException() {
	super();
    }

    /**
     * Use serialVersionUID from JNDI 1.1.1 for interoperability
     */
    private static final long serialVersionUID = 4836415647935888137L;
}
